### TLS / SSL Certificates

Setup TLS cert for different domains of your reverse proxy server names

#### Default Certificates

When there are no matching certificate for the requested server name, reverse proxy router will always fallback to this one.
Note that you need both of them uploaded for it to fallback properly

Key Type | Exists
--- | ---
Default Public Key |
Default Private Key |

#### Sub-domain Certificates

Provide certificates for multiple domains reverse proxy

Server Name (Domain)
Public Key
Private Key
Certificate for domain uploaded.

Domain | Last Update | Remove
--- | --- | ---

#### Sub-domain Certificates

If you have 3rd or even 4th level subdomains like `blog.example.com` or `en.blog.example.com` , depending on your certificates coverage, you might need to setup them one by one (i.e. having two seperate certificate for `a.example.com` and `b.example.com`).
If you have a wildcard certificate that covers `*.example.com`, you can just enter `example.com` as server name in the form below to add a certificate.